# This file created by conda-build 3.16.3
# meta.yaml template originally from:
# /scratch/builds/bob/bob.ip.facedetect/conda, last modified Thu Jun 20 02:06:30 2019
# ------------------------------------------------

package:
    name: bob.ip.facedetect
    version: 2.1.7
build:
    entry_points:
        - collect_training_data.py = bob.ip.facedetect.script.collect_training_data:main
        - detect_faces.py = bob.ip.facedetect.script.detect_faces:main
        - evaluate_detections.py = bob.ip.facedetect.script.evaluate:main
        - extract_training_features.py = bob.ip.facedetect.script.extract_training_features:main
        - plot_froc.py = bob.ip.facedetect.script.plot_froc:main
        - train_detector.py = bob.ip.facedetect.script.train_detector:main
        - validate_detector.py = bob.ip.facedetect.script.validate_detector:main
    number: '0'
    run_exports:
        - bob.ip.facedetect >=2.1.7,<3.0a0
    script:
        - cd /scratch/builds/bob/bob.ip.facedetect/conda/..
        - python setup.py sdist --formats=zip
        - python setup.py install --single-version-externally-managed --record record.txt
    script_env:
        - DOCSERVER
    string: py36h0b745b6_0
requirements:
    build:
        - binutils_impl_linux-64 2.31.1 h6176602_1
        - binutils_linux-64 2.31.1 h6176602_7
        - gcc_impl_linux-64 7.3.0 habb00fd_1
        - gcc_linux-64 7.3.0 h553295d_7
        - gxx_impl_linux-64 7.3.0 hdf63c60_1
        - gxx_linux-64 7.3.0 h553295d_7
        - libgcc-ng 9.1.0 hdf63c60_0
        - libstdcxx-ng 9.1.0 hdf63c60_0
        - pkg-config 0.29.2 h1bed415_8
    host:
        - blas 1.0 mkl
        - bob.blitz 2.0.17 py36he3dcf2d_0
        - bob.core 2.2.2 py36he3dcf2d_0
        - bob.extension 3.1.1 py36he31c250_0
        - bob.io.base 3.0.5 py36hb98ecc0_0
        - bob.io.image 2.4.3 py36hd7199c5_0
        - bob.ip.base 2.2.3 py36h5a377fb_0
        - bob.ip.color 2.0.13 py36he3dcf2d_0
        - bob.ip.draw 2.0.12 py36h5ad9b47_0
        - bob.learn.boosting 2.0.16 py36h4d2fa8f_0
        - bob.math 3.1.3 py36h4eae396_0
        - bob.sp 2.0.13 py36he8f8d56_0
        - boost 1.67.0 py36_4
        - bzip2 1.0.6 h14c3975_5
        - ca-certificates 2019.5.15 0
        - certifi 2019.3.9 py36_0
        - click 7.0 py36_0
        - click-plugins 1.1.1 py_0
        - giflib 5.1.4 h63890e4_4
        - hdf5 1.10.2 hba1933b_1
        - icu 58.2 h9c2bf20_1
        - intel-openmp 2019.4 243
        - jpeg 9b h024ee3a_2
        - libblitz 1.0.1 h5c30f38_0
        - libboost 1.67.0 h46d08c1_4
        - libedit 3.1.20181209 hc058e9b_0
        - libffi 3.2.1 hd88cf55_4
        - libgcc-ng 9.1.0 hdf63c60_0
        - libgfortran-ng 7.3.0 hdf63c60_0
        - libpng 1.6.37 hbc83047_0
        - libstdcxx-ng 9.1.0 hdf63c60_0
        - libtiff 4.0.10 h2733197_2
        - mkl 2019.4 243
        - mkl_fft 1.0.12 py36ha843d7b_0
        - mkl_random 1.0.2 py36hd81dba3_0
        - ncurses 6.1 he6710b0_1
        - numpy 1.15.4 py36h7e9f1db_0
        - numpy-base 1.15.4 py36hde5b4d6_0
        - openssl 1.1.1c h7b6447c_1
        - py-boost 1.67.0 py36h04863e7_4
        - python 3.6.8 h0371630_0
        - readline 7.0 h7b6447c_5
        - scipy 1.2.1 py36h7c811a0_0
        - setuptools 41.0.0 py36_0
        - sqlite 3.28.0 h7b6447c_0
        - tk 8.6.8 hbc83047_0
        - vlfeat 0.9.21 h18fa195_0
        - xz 5.2.4 h14c3975_4
        - zlib 1.2.11 h7b6447c_3
        - zstd 1.3.7 h0b5b093_0
    run:
        - bob.io.image >=2.4.3,<3.0a0
        - bob.ip.base >=2.2.3,<3.0a0
        - bob.ip.color >=2.0.13,<3.0a0
        - bob.ip.draw >=2.0.12,<3.0a0
        - bob.learn.boosting >=2.0.16,<3.0a0
        - boost >=1.67.0,<1.67.1.0a0
        - libblitz >=1.0.1,<1.0.2.0a0
        - libgcc-ng >=7.3.0
        - libstdcxx-ng >=7.3.0
        - numpy >=1.15.4,<2.0a0
        - python >=3.6,<3.7.0a0
        - setuptools
    run_constrained:
        - matplotlib
test:
    commands:
        - collect_training_data.py --help
        - extract_training_features.py --help
        - train_detector.py --help
        - validate_detector.py --help
        - detect_faces.py --help
        - evaluate_detections.py --help
        - plot_froc.py --help
        - nosetests --with-coverage --cover-package=bob.ip.facedetect -sv bob.ip.facedetect
        - sphinx-build -aEW /scratch/builds/bob/bob.ip.facedetect/conda/../doc /scratch/builds/bob/bob.ip.facedetect/conda/../sphinx
        - sphinx-build -aEb doctest /scratch/builds/bob/bob.ip.facedetect/conda/../doc
            sphinx
        - conda inspect linkages -p $PREFIX bob.ip.facedetect
    imports:
        - bob.ip.facedetect
    requires:
        - bob-devel 2019.04.30.*
        - coverage
        - matplotlib
        - nose
        - sphinx
        - sphinx_rtd_theme
about:
    home: https://www.idiap.ch/software/bob/
    license: BSD 3-Clause
    license_family: BSD
    summary: Face Detection using a Cascade of Boosted LBP Features
extra:
    copy_test_source_files: true
    final: true
